Bug 1129691 - Review Request: libde265 - Open H.265 video codec implementation
Review Request: libde265 - Open H.265 video codec implementation
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
Reported: 2014-08-13 09:23 EDT by Joachim Bauch
Modified: 2015-07-21 08:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-14 07:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Bauch 2014-08-13 09:23:20 EDT
Spec URL: http://www.joachim-bauch.de/static/fedora/libde265.spec
SRPM URL: http://www.joachim-bauch.de/static/fedora/libde265-0.8-1.fc20.src.rpm

libde265 is an open source implementation of the H.265 video codec.
It is written from scratch for simplicity and efficiency. Its simple
API makes it easy to integrate it into other software.

Fedora Account System Username: fancycode
Comment 1 Joachim Bauch 2014-08-13 09:44:02 EDT
Koji build looks good:
Comment 2 Antonio Trande 2014-08-14 06:14:37 EDT
Hi Joachim.

1) Using these tools to build 'configure' scripts and 'Makefiles' is inadvisable. This software already has own scripts, if they are built by too old tools, please, 

  1- point out this to the upstream


  2- perform 'autogen.sh' outside RPM packaging then apply a patch to update the  configure scripts and Makefile.ins

2) If you don't want to build 'dec265 decoder program' and 'sherlock265 visual inspection program', you can use --disable-dec265  --disable-sherlock265 options; better if you add --disable-silent-rules option, too.

Then, probably, you don't need anymore of the lines 
rm -f %{buildroot}%{_bindir}/dec265
rm -f %{buildroot}%{_bindir}/sherlock265

3) %clean section and '%defattr(-,root,root,-)' are useless.
   Unless this software will be packaged for systems < EPEL6

4) Requires: %{name} = %{version}-%{release} 
   must be arched
   Requires: %{name}%{?_isa} = %{version}-%{release}
Comment 3 Tom "spot" Callaway 2014-08-14 07:21:54 EDT
This one isn't going to get into Fedora, HEVC implementations (of which h265 is one) have exactly the same legal problems as previous codecs backed by the MPEG consortium.

Note You need to log in before you can comment on or make changes to this bug.